Subject: Re: bug#12242: Emacs 24.2 RC1 build fails on OpenBSD

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Wed, 22 Aug 2012 11:35:26 +0900

>>>>> On Tue, 21 Aug 2012 19:49:52 +0300, Eli Zaretskii <[email-masked]> said:

>> Date: Tue, 21 Aug 2012 06:03:37 +0300 From: Eli Zaretskii
>> <[email-masked]> Cc: [email-masked]
>> 
>> I think I see the problem and will fix it later today.

> Actually, no, I don't think I see the problem.

I took a look at ralloc.c a bit, and I thought that the variable
`use_relocatable_buffers' is not designed to be changed temporarily in
the first place.

I think we should use r_alloc_freeze/r_alloc_thaw instead of
r_alloc_inhibit_buffer_relocation calls.  In that case, we have to
estimate how much memory can be malloc'ed while the relocation is
frozen, so that we can pass an appropriate number to r_alloc_freeze.

				     YAMAMOTO Mitsuharu
				[email-masked]